# GimpUi.Ruler

    from gi.repository import GimpUi

    ruler = GimpUi.Ruler(lower=value, max_size=value, orientation=value, position=value, unit=value, upper=value)

A ruler widget with configurable unit and orientation.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - GimpUi.Ruler

## Methods

- GimpUi.Ruler.add_track_widget
- GimpUi.Ruler.get_position
- GimpUi.Ruler.get_range
- GimpUi.Ruler.get_unit
- GimpUi.Ruler.remove_track_widget
- GimpUi.Ruler.set_position
- GimpUi.Ruler.set_range
- GimpUi.Ruler.set_unit

## Properties

- lower
- max-size
- orientation
- position
- unit
- upper